#!/bin/sh

# modify the name of GUI su utility accordingly
gksu_util=gksu
if [ -f ~/.unichrom/UniChrom.ini ]; then  
    UCLOC=`egrep -e '(^Locale=.*|^ProgLCID=.*)' ~/.unichrom/UniChrom.ini|cut -d = -f 2`
else
    UCLOC=$LANG
fi;
echo $UCLOC
if [ -z $UCLOC ]; then UCLOC=en_US; fi;
UCOPT=--locale=$UCLOC
echo $UCOPT
UCWRAPPER=`readlink -f $0`
export UNICHROM=`dirname $UCWRAPPER`
export LIBOVERLAY_SCROLLBAR=0
$gksu_util "$UNICHROM/drv/ce $1 $UNICHROM/drv $UCOPT"
